package com.seeyon.boot.starter.demo.dto;


import com.seeyon.boot.annotation.DtoAttribute;
import com.seeyon.boot.annotation.DtoInfo;
import com.seeyon.boot.starter.demo.enums.Gender;
import com.seeyon.boot.transport.BaseComponentTraceableDto;
import lombok.Getter;
import lombok.Setter;

/**
 * Description:
 * Author: weijh
 * Date: 2024/11/12 10:26
 */
@Getter
@Setter
@DtoInfo(value = "这是一个Student Dto", entity = "com.seeyon.boot.starter.demo.domain.entity.Student")
public class StudentDto extends BaseComponentTraceableDto {

    @DtoAttribute(value = "姓名", example = "张三")
    private String name;

    @DtoAttribute(value = "年龄", example = "28")
    private Integer age;

    @DtoAttribute(value = "性别", example = "Male")
    private Gender stuGender;
}
