package com.seeyon.boot.starter.demo.enums;

import com.seeyon.boot.enums.Messageable;

public enum Gender implements Messageable {
    /**
     * 男
     */
    Male(1),

    /**
     * 女
     */
    Female(2);

    private final int code;

    Gender(int code){
        this.code = code;
    }

    @Override
    public int code() {
        return code;
    }
}
